--[[
GridAlert : Aggro

Provides an audible notification when the player gains aggro on a mob.

Should probably be inversed for maintanks (or not ?)
]]

local GridAlertAggro = GridAlert:NewModule("GridAlertAggro")
GridAlertAggro.defaultState = true
GridAlertAggro.defaultDB = {
	message = nil,
	sound_filename = "Interface\\Addons\\GridAlert\\sounds\\aggro.wav",
	sound_name = nil,
	min_pause = 0.5,
}

function GridAlertAggro:OnEnable()
	local name = self.name
	local core = self.core
	local p = self.db.profile
	core.db.profile.triggers.alert_aggro.gain.player = name
	core:SetAlertSoundOptions(name,
		p.message,
		p.sound_filename,
		p.sound_name,
		p.min_pause)
end

function GridAlertAggro:OnInitialize()
	self.super.OnInitialize(self)
end
